"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.addLayer = addLayer;
exports.save = save;

var _reactNative = require("react-native");

const LINKING_ERROR = `The package 'react-native-image-generator' doesn't seem to be linked. Make sure: \n\n` + _reactNative.Platform.select({
  ios: "- You have run 'pod install'\n",
  default: ''
}) + '- You rebuilt the app after installing the package\n' + '- You are not using Expo managed workflow\n';
const ImageGenerator = _reactNative.NativeModules.ImageGenerator ? _reactNative.NativeModules.ImageGenerator : new Proxy({}, {
  get() {
    throw new Error(LINKING_ERROR);
  }

});

async function addLayer(data) {
  return await ImageGenerator.addLayer(data.uri, data.width, data.height, data.x, data.y);
}

async function save(data) {
  return await ImageGenerator.save(data.filename, data.width, data.height);
}
//# sourceMappingURL=index.js.map